import server from '@/utils/request'

//查询运营商 换电站 电池 机器人
interface Querydata{
    poCode?:String	        //运营商编码
    stationCode?:String      //换电站编码
    timeBegin?:String	    //开始时间,示例值(2024-10-01 00:00:00)
    timeEnd?:String	        //结束时间,示例值(2025-04-01 23:59:59)
}

export function gethdztotal(params?:Querydata) {
  return server.request({
    url: '/cloud/home/data1',
    method: 'get',
    params
  })
}

//查询 公司 用户 车辆
export function getgyctotal() {
    return server.request({
        url: '/cloud/home/data2',
        method: 'get'
    })
}

//订单-按换电站统计
export function gethdztj(params?:Querydata) {
  return server.request({
      url: '/cloud/home/data3',
      method: 'get',
      params
  })
}

//交易-不安换电站统计
export function getjytj(params?:Querydata) {
  return server.request({
      url: '/cloud/home/data4',
      method: 'get',
      params
  })
}

//近6个月订单统计
export function getddtj(params?:Querydata) {
  return server.request({
      url: '/cloud/home/data5',
      method: 'get',
      params
  })
}

//近6个月交易统计
export function get6jytj(params?:Querydata) {
  return server.request({
      url: '/cloud/home/data6',
      method: 'get',
      params
  })
}


//同比 环比
export function gettbhb(type:number) {
  return server.request({
      url: '/cloud/home/data7',
      method: 'get',
      params:{
        type
      }
  })
}

// export function addhdz(data:Addobj) {
//   return server.request({
//     url: '/cloud/battery/station/fee/detail/add',
//     method: 'post',
//     data
//   })
// }


//新版
//平台管理员  - 运营商，换电站，认证公司, 机器人 电池
export function ptgetotal() {
  return server.request({
      url: '/cloud/home/platform/data1',
      method: 'get'
  })
}
// 金额 占比, 半年交易情况等
export function zbjetotal() {
  return server.request({
      url: '/cloud/home/platform/data2',
      method: 'get'
  })
}

export function givealarm() {
  return server.request({
      url: '/cloud/home/alarm/data',
      method: 'get'
  })
}

//运营商角色
//总数
export function yysgetotal() {
  return server.request({
      url: '/cloud/home/roxy/data1',
      method: 'get'
  })
}

//当月和近半年统计
export function dybndata() {
  return server.request({
      url: '/cloud/home/roxy/data2',
      method: 'get'
  })
}

//运营商站端角色
export function zddata() {
  return server.request({
      url: '/cloud/home/station/data1',
      method: 'get'
  })
}

//企业用户角色
export function gongsdata() {
  return server.request({
      url: '/cloud/home/company/data',
      method: 'get'
  })
}
